
procedure Init_Tisch2;
  var t : byte;
begin
  for t:=0 to 255 do set_rgb_color(t,pal[t].r,pal[t].g,pal[t].b );

   RAT[24] := 0; RAT[25] := 0; RAT[26] := 0;
   PHASER[233] := 0; PHASER[234] := 0; PHASER[235] := 0; PHASER[236] := 0;
   PHASER[237] := 0; PHASER[238] := 0;
   RL := true;
   PFEIL := 0;
   Felder1 := 0;
   Felder2 := 0;
   Felder3 := 0;
   Locked := 0;
   Counter := 0;

   MAXFarbe := 150; {235-255}
end;

procedure HilfsProc1;
begin
             ballx := 125;
             bally := 25{+10};
             move_ball;
             inc(bally,10);
             delay(500);
             ballspeed_y := 0;
             ballspeed_x := - 5 + random(10);
end;

procedure HilfsProc2;
begin
          if ballspeed_x < 0 then ballspeed_x := -8-random(4);
          if ballspeed_x > 0 then ballspeed_x := 8+random(4);
          if ballspeed_y < 0 then ballspeed_y := -8-random(4);
          if ballspeed_y > 0 then ballspeed_y := 8+random(4);
          counter := 10; set_rgb_color(98,60,60,60);
          incscore(50);
end;

